## --*- conf -*--

FROM gitlab.intern.sigma-chemnitz.de:5000/docker/sigma/fedora:39 AS stage0

ENV  http_proxy="" https_proxy="" ftp_proxy="" no_proxy=""

RUN \
    dnf upgrade -y --setopt=install_weak_deps=False && \
    dnf install -y --setopt=install_weak_deps=False \
	autoconf \
	automake \
	busybox \
	bzip2 \
	chrpath \
	coreutils-common \
	cpio \
	curl \
	diffstat \
	diffutils \
	file \
	iproute \
	iputils \
	gawk \
	gcc \
	gcc-c++ \
	glibc-gconv-extra \
	git \
	hostname \
	libproxy-bin \
	libtirpc \
	libtool \
	lsof \
	lzop \
	lz4 \
	make \
	ncurses-devel \
	openssh-server \
	patch \
	'perl(bigint)' \
	'perl(open)' \
	'perl(English)' \
	'perl(FileHandle)' \
	'perl(FindBin)' \
	pkgconfig \
	procps-ng \
	python-unversioned-command \
	python3 \
	python3-beautifulsoup4 \
	python3-inotify \
	python3-setuptools \
	rpcgen \
	socat \
	strace \
	texinfo \
	wget \
	which \
	xz \
	zstd \
    && \
    dnf clean all

FROM stage0

RUN \
    /usr/libexec/openssh/sshd-keygen ed25519 && \
    /usr/libexec/openssh/sshd-keygen rsa

COPY profile.d /etc/profile.d/

RUN \
    ln -s ../sbin/busybox /bin/runsv && \
    sed 's@session\s*required\s*pam_loginuid.so@session optional pam_loginuid.so@g' -i /etc/pam.d/sshd && \
    rm -f /etc/profile.d/proxy.sh && \
    :
